#
# spec file for package aalib
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aalib
%define lname	libaa1
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig(x11)
%if 0%{?suse_version} > 1130
BuildRequires:  gpm-devel
%else
BuildRequires:  gpm
%endif
Url:            http://aa-project.sourceforge.net/
# bug437293
%ifarch ppc64
Obsoletes:      aalib-64bit
%endif
#
Version:        1.4.0
Release:        509.3
Summary:        An ASCII Art Library
License:        GPL-2.0+
Group:          System/Libraries
Source:         http://sourceforge.net/projects/aa-project/files/aa-lib/1.4rc5/%{name}-1.4rc5.tar.gz
Source1:        http://downloads.sourceforge.net/project/aa-project/aavga/1.0rc1/aavga-1.0rc1.tar.gz
Source2:        http://downloads.sourceforge.net/project/aa-project/aview/1.3.0rc1/aview-1.3.0rc1.tar.gz
Source3:        baselibs.conf
Patch1:         fix_gpm_fd_handling.diff
Patch2:         aavga.dif
Patch3:         aalib-1.4.0.dif
Patch4:         aview-1.3.0.patch
Patch5:         aview-1.3.0-tmpvuln.diff
Patch6:         aalib-distint.patch
Patch7:         aview-signed-char.patch
Patch8:         aview-includes.patch
Patch9:         aalib-includes.patch
Patch10:        aalib-reentrant.patch
Patch11:        aalib-1.4.0-config.patch
Patch12:        aalib-1.4.0-fdleak.patch
Patch13:        aalib-ncurses-6.0-accessors.patch
PreReq:         %install_info_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
AA-lib is a low level gfx library. AA-lib does not require a graphics
device. In fact, there is no graphical output possible. AA-lib replaces
old-fashioned output methods with a powerful ASCII art renderer.

%package -n %lname
Summary:        An ASCII Art Library
Group:          System/Libraries

%description -n %lname
AA-lib is a low level gfx library. AA-lib does not require a graphics
device. In fact, there is no graphical output possible. AA-lib replaces
old-fashioned output methods with a powerful ASCII art renderer.

%package devel
Summary:        Development Package for AAlib
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      aalib-devel-64bit
%endif
#
Requires:       %lname = %version
Requires:       glibc-devel
Obsoletes:      aalibdev

%description devel
Files needed for developing software that uses AAlib.

%prep
%setup -q -a 1 -b 2
%patch1
%patch3
%patch10
%patch11
%patch12
%patch13 -p1
cd aavga-1.0 
%patch2
cd ../../aview-*
%patch4
%patch7
%patch8
cd ..
%patch5
%patch6
%patch9

%build
%{?suse_update_config}
autoreconf -fiv
export CFLAGS="$RPM_OPT_FLAGS -fstrength-reduce -ffast-math -fomit-frame-pointer"
%ifarch %ix86
export CFLAGS="$CFLAGS -falign-loops=2 -falign-jumps=2 -falign-functions=2"
%endif
%configure --disable-static --with-pic --with-slang-driver=no --with-ncurses
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cp -av ANNOUNCE AUTHORS COPYING INSTALL NEWS README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
cd ../aview-1.3.0
PATH=$RPM_BUILD_ROOT%{_bindir}:$PATH \
   CFLAGS="$RPM_OPT_FLAGS -I$RPM_BUILD_ROOT/usr/include" \
   LDFLAGS="-L$RPM_BUILD_ROOT%{_libdir}" \
   LD_LIBRARY_PATH="$RPM_BUILD_ROOT%{_libdir}" \
   ./configure --prefix=/usr --mandir=%{_mandir}
make
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aview
cp -av README* ANNOUNCE COPYING TODO *.lsm $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aview
cd -
cd aavga-1.0 
make CFLAGS="$RPM_OPT_FLAGS"
cp -av aavga.so $RPM_BUILD_ROOT%_libdir
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aavga
cp -av aavga.lsm COPYING README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/aavga
cd ..
%{__rm} -f %{buildroot}%{_libdir}/*.la

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%docdir %{_defaultdocdir}/%{name}
%{_defaultdocdir}/%{name}
%_bindir/aafire
%_bindir/aaflip
%_bindir/aainfo
%_bindir/aasavefont
%_bindir/aatest
%_bindir/asciiview
%_bindir/aview
%{_infodir}/aalib.info.gz
%{_infodir}/aalib.info-?.gz
%{_mandir}/man1/aafire.1.gz
%{_mandir}/man1/aview.1.gz
%{_mandir}/man1/asciiview.1.gz

%files -n %lname
%defattr(-,root,root)
%_libdir/libaa.so.1.0.4
%_libdir/libaa.so.1
%_libdir/aavga.so

%files devel
%defattr(-,root,root)
%_includedir/aalib.h
%_libdir/libaa.so
%_datadir/aclocal/aalib.m4
%_bindir/aalib-config
%{_mandir}/man3/aa_*.3.gz
%{_mandir}/man3/mem_d.3.gz
%{_mandir}/man3/save_d.3.gz

%changelog
* Wed Sep  9 2015 dimstar@opensuse.org
- Add aalib-ncurses-6.0-accessors.patch: Fix build with
  NCurses 6.0 with WINDOW_OPAQUE set to 1.
* Sun May 17 2015 meissner@suse.com
- info deinstall needs to be in preun section.
* Mon Sep 15 2014 crrodriguez@opensuse.org
- Use pkgconfig(x11) not metapackage xorg-x11-devel
* Fri Mar 22 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Mon Mar 18 2013 mmeister@suse.com
- Replace Source with Link to source
* Sat Feb 11 2012 jengelh@medozas.de
- Strip distinct version from -devel subpackage
* Wed Dec  7 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Sep 30 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Fri Sep 16 2011 jengelh@medozas.de
- Implement shlib policy
- Remove redundant tags; use %%_smp_mflags
* Mon Sep  5 2011 coolo@suse.com
- fix build with newer ld
* Tue Sep  7 2010 aj@suse.de
- BuildRequire gpm-devel
* Wed Jan 27 2010 jengelh@medozas.de
- package baselibs.conf
* Mon Oct  5 2009 crrodriguez@opensuse.org
- fix aalib-1.4.0-477.9: possible missing call to fclose [bnc#523344]
* Wed Apr 22 2009 crrodriguez@suse.de
- remove static libraries and "la" files
- fix -devel package dependencies
- fix aalib-config so it only returns needed libraries
* Wed Dec 10 2008 olh@suse.de
- use Obsoletes: -XXbit only for ppc64 to help solver during distupgrade
  (bnc#437293)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Mar 29 2007 meissner@suse.de
- Buildrequires: gpm
* Fri Sep  8 2006 dmueller@suse.de
- explicitely disable slang driver
* Thu Sep  7 2006 mskibbe@suse.de
- fix compiler problems
- fix Requires lsit for devel package
* Fri Sep  1 2006 mskibbe@suse.de
- fix Requires
* Thu Aug 31 2006 dmueller@suse.de
- build against ncurses instead of slang
* Wed Aug 16 2006 aj@suse.de
- Remove unneeded BuildRequires.
* Wed May 17 2006 schwab@suse.de
- Avoid crash when resizing window with X driver.
* Mon Apr 10 2006 meissner@suse.de
- added requires slang-devel to aalib-devel
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Jul  7 2005 hvogel@suse.de
- fix some more decls
* Tue Jul  5 2005 hvogel@suse.de
- fix implicit functions
* Sun Jul  3 2005 hvogel@suse.de
- sign chars to make comparison work. Patch from olh (Bug #95092)
* Thu Jun 23 2005 hvogel@suse.de
- require exact aalib version
- add %%clean section
* Wed Jan 19 2005 hvogel@suse.de
- fix the uninitialized variables fix, NULL is for pointers, use 0
* Wed Jan 19 2005 hvogel@suse.de
- fix use of uninitialized variables
* Sat Oct 23 2004 hvogel@suse.de
- move config script to the devel package
* Tue Aug 31 2004 hvogel@suse.de
- remove insecure temp file creation in asciiview [Bug #44386]
* Mon Apr 19 2004 ro@suse.de
- fix "control reaches end of non-void function" warning
* Thu Jan 29 2004 hvogel@suse.de
- run ldconfig after install/deinstall
- mark man pages as documentation
* Mon Jan 26 2004 hvogel@suse.de
- move autoconf macro file to the devel subpackage
* Tue Jan 13 2004 schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Jan  9 2004 kukuk@suse.de
- Fix underquoted definition of AM_PATH_AALIB in aalib.m4
* Tue Jul 29 2003 aj@suse.de
- Fix for chown change.
* Sun May 25 2003 ro@suse.de
- added man pages for mem_d and save_d to filelist
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Apr 23 2003 coolo@suse.de
- use BuildRoot
* Fri Feb  7 2003 fehr@suse.de
- Use %%install_info macro
* Thu Feb  6 2003 fehr@suse.de
- add patch to link aavga lib also in systems with use lib64
* Tue Feb  4 2003 fehr@suse.de
- update to aalib-1.4rc5, aavga-1.0rc1, aview-1.3.0rc1
* Mon Dec  2 2002 fehr@suse.de
- fixed problem with new gcc/glibc
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Aug 14 2002 fehr@suse.de
- fix bug handling gmp_fd variable in aaslnkbd.c (#17426)
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Mon Jun 10 2002 meissner@suse.de
- copy over system auto* tools so we build on new platforms.
* Fri May 31 2002 ro@suse.de
- changed neededforbuild <slang> to <slang slang-devel>
* Wed Apr 24 2002 fehr@suse.de
- make it build on architectures with X11-libs in /usr/X11R6/lib64
* Wed Jan 30 2002 coolo@suse.de
- use %%_libdir
* Tue Jan 29 2002 nadvornik@suse.cz
- fixed initialization of slang library [bug #12933]
* Wed Aug 29 2001 fehr@suse.de
- add packages aview and aavga
* Thu Mar  1 2001 bk@suse.de
- add platform optimisation flags
- move suse_update_config to %%prep and move install to %%install
* Wed Jan 17 2001 schwab@suse.de
- Add Obsoletes: aalibdev to aalib-devel package.
- Move libaa.so to aalib-devel.
- Require aalib from aalib-devel package.
* Sat Dec  9 2000 nashif@suse.de
- Set the right Groups
- Changed package name: aalibdev -> aalib-devel
* Fri May 19 2000 fehr@suse.de
- move documentation to /usr/share/doc/packages
* Thu Mar 30 2000 schwab@suse.de
- Update config.{status,guess} from automake.
* Fri Feb 25 2000 kukuk@suse.de
- Move /usr/info -> /usr/share/info, add group tag
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jan 11 1999 fehr@suse.de
- make SuSE package from version 1.2 of aalib
